<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# msr

```text
usage: msr [-h] [-w [write_value]] [-l] [-r [MSR_RANGE]] [msr]

```

Read or write to Model Specific Register (MSR)
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|msr|MSR value or name|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-w|--write|value to write in MSR|
|-l|--list|list common MSRs for the current arch|
|-r|--range|dash separated range of MSRs to read (eg. --range=1-10 where 10 is included)|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
